<?xml version="1.0" encoding="utf-8"?>
<layout>
    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        tools:context="it.integry.integrywmsnative.gest.main.MainActivity">

        <it.integry.integrywmsnative.ui.ElevatedToolbar
            android:id="@+id/elevated_toolbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

        <!--<it.integry.plugins.waterfalltoolbar.WaterfallToolbar-->
            <!--android:id="@+id/waterfall_toolbar"-->
            <!--android:layout_width="match_parent"-->
            <!--android:layout_height="wrap_content">-->

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="?actionBarSize"
                android:gravity="center_horizontal"
                app:popupTheme="@style/AppTheme.PopupOverlay">

                <LinearLayout
                    android:id="@+id/toolbar_title_centered_layout"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:orientation="horizontal"
                    android:layout_gravity="center">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/app_round_icon"
                            android:adjustViewBounds="true"
                            android:paddingTop="8dp"
                            android:paddingBottom="8dp"
                            android:layout_gravity="center"/>

                        <androidx.appcompat.widget.AppCompatTextView
                            android:id="@+id/toolbar_title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/integry"
                            android:layout_marginStart="8dp"
                            style="@style/AppTheme.NewMaterial.Text.ToolbarTitle"
                            android:layout_gravity="center"/>

                    </LinearLayout>


                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/toolbar_title_left"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/app_name"
                        android:visibility="gone"
                        android:layout_centerVertical="true"
                        android:gravity="start"
                        style="@style/AppTheme.NewMaterial.Text.ToolbarTitle"/>

                    <androidx.appcompat.widget.SearchView
                        android:id="@+id/main_search"
                        android:layout_width="wrap_content"
                        android:layout_height="50dp"
                        android:iconifiedByDefault="true"
                        app:defaultQueryHint="@string/search"
                        app:iconifiedByDefault="true"
                        android:layout_gravity="end"
                        android:layout_alignParentEnd="true"
                        android:tint="@android:color/black"/>

                    <androidx.appcompat.widget.AppCompatImageButton
                        android:id="@+id/main_filter"
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:layout_gravity="end"
                        android:background="@android:color/transparent"
                        android:adjustViewBounds="true"
                        android:visibility="gone"
                        android:layout_alignParentEnd="true"
                        android:src="@drawable/ic_search_black_24dp"
                        android:tint="@android:color/black"/>

                    <androidx.appcompat.widget.AppCompatImageButton
                        android:id="@+id/main_select_all"
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:layout_gravity="end"
                        android:background="@android:color/transparent"
                        android:adjustViewBounds="true"
                        android:visibility="gone"
                        android:layout_toStartOf="@id/main_filter"
                        android:src="@drawable/ic_check_black_24dp"
                        android:tint="@android:color/black"/>

            </androidx.appcompat.widget.Toolbar>

        <!--</it.integry.plugins.waterfalltoolbar.WaterfallToolbar>-->

        </it.integry.integrywmsnative.ui.ElevatedToolbar>

        <include layout="@layout/content_main" />

    </LinearLayout>
</layout>